Content-Security-Policy: default-src 'none'
Content-Type: text/plain; charset=UTF-8
Content-Length: 676
Content-Disposition: inline; filename="libusb-0.1-disable-tests.patch"
Last-Modified: Thu, 26 Dec 2024 09:21:21 GMT
Expires: Sun, 24 Dec 2034 09:21:21 GMT
ETag: "37dd8bd111544c458d26bf4669659b11212061e1"

Disable tests who fail because they have to run as root.

--- libusb-0.1.12/tests/Makefile.in	2006-03-04 03:54:06.000000000 +0100
+++ libusb-0.1.12/tests/Makefile.in	2017-07-13 16:17:45.201728019 +0200
@@ -255,8 +255,8 @@
 hub_strings_LDADD = $(top_builddir)/libusbpp.la @OSLIBS@
 driver_name_SOURCES = driver_name.cpp
 driver_name_LDADD = $(top_builddir)/libusbpp.la @OSLIBS@
-TESTS = testlibusb descriptor_test id_test find_hubs find_mice \
-		get_resolution hub_strings $(OS_SPECIFIC)
+TESTS = testlibusb descriptor_test id_test find_hubs find_mice
+		#get_resolution hub_strings $(OS_SPECIFIC)
 
 XFAIL_TESTS = get_resolution hub_strings $(OS_SPECIFIC_XFAIL)
 all: all-am
></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='3349a50d700a2112a31ac4ce6cc6639d3b4cf1e2'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=3349a50d700a2112a31ac4ce6cc6639d3b4cf1e2'>refs</a><a href='/guix/log/gnu/packages/aux-files/linux-libre/5.10-x86_64.conf'>log</a><a class='active' href='/guix/tree/gnu/packages/aux-files/linux-libre/5.10-x86_64.conf?id=3349a50d700a2112a31ac4ce6cc6639d3b4cf1e2'>tree</a><a href='/guix/commit/gnu/packages/aux-files/linux-libre/5.10-x86_64.conf?id=3349a50d700a2112a31ac4ce6cc6639d3b4cf1e2'>commit</a><a href='/guix/diff/gnu/packages/aux-files/linux-libre/5.10-x86_64.conf?id=3349a50d700a2112a31ac4ce6cc6639d3b4cf1e2'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/aux-files/linux-libre/5.10-x86_64.conf'>
<input type='hidden' name='id' value='3349a50d700a2112a31ac4ce6cc6639d3b4cf1e2'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=3349a50d700a2112a31ac4ce6cc6639d3b4cf1e2'>root</a>/<a href='/guix/tree/gnu?id=3349a50d700a2112a31ac4ce6cc6639d3b4cf1e2'>gnu</a>/<a href='/guix/tree/gnu/packages?id=3349a50d700a2112a31ac4ce6cc6639d3b4cf1e2'>packages</a>/<a href='/guix/tree/gnu/packages/aux-files?id=3349a50d700a2112a31ac4ce6cc6639d3b4cf1e2'>aux-files</a>/<a href='/guix/tree/gnu/packages/aux-files/linux-libre?id=3349a50d700a2112a31ac4ce6cc6639d3b4cf1e2'>linux-libre</a>/<a href='/guix/tree/gnu/packages/aux-files/linux-libre/5.10-x86_64.conf?id=3349a50d700a2112a31ac4ce6cc6639d3b4cf1e2'>5.10-x86_64.conf</a></div><div class='content'>blob: b801d13e834660132ffec828283d46a4e635df29 (<a href='/guix/about/gnu/packages/aux-files/linux-libre/5.10-x86_64.conf?id=3349a50d700a2112a31ac4ce6cc6639d3b4cf1e2'>about</a>) (<a href='/guix/plain/gnu/packages/aux-files/linux-libre/5.10-x86_64.conf?id=3349a50d700a2112a31ac4ce6cc6639d3b4cf1e2'>plain</a>)
<div class='error'>blob size (240KB) exceeds display size limit (100KB).</div></div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>
